Print the Picking List PDF for an outwards consignment

​

Path Parameters

Body·

application/json
  • Properties: 1
  • Integer numbers.

    values
    Location = 1InventoryProduct = 2

Responses

  • application/json
Request Example for post/v1/consignments/{consignmentId}/picking-list-pdf/print
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/picking-list-pdf/print \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "sortBy": "enum (Location = 1, InventoryProduct = 2)",
  "printOption": {
    "printerId": ""
  }
}'
{
  "printJobId": "123e4567-e89b-12d3-a456-426614174000"
}